
Smart Proxy - Refactor #4868

As a developer I'd like to be able to dynamically (and periodically) discover available smart-proxy

features

03/26/2014 11:45 AM - Anonymous

Status: New   

Priority: Normal   

Assignee:    

Category: Plugins   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

- modify smart-proxy: introduce API entry-point; return a list of features when accessing the entry point

- update Foreman to periodically poll smart-proxy for available features

Related issues:

Related to Smart Proxy - Feature #13326: Update list of features in Foreman o... New 01/22/2016

History

#1 - 03/26/2014 12:54 PM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to Plugins

#2 - 05/12/2016 11:21 AM - Dominic Cleal

- Related to Feature #13326: Update list of features in Foreman on Smart Proxy startup added
